# $Revision: 1.6.2.1 $, $Date: 2003/03/13 00:56:40 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	CGI
%define	pnam	Application
Summary:	CGI::Application - Framework for building reusable web-applications
Summary(pl):	CGI::Application - Szkielet do tworzenia aplikacji WWW wielokrotnego uytku
Name:		perl-CGI-Application
Version:	3.0
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-CGI
BuildRequires:	perl-HTML-Template
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CGI::Application is intended to make it easier to create
sophisticated, reusable web-based applications. This module implements
a methodology which, if followed, will make your web software easier
to design, easier to document, easier to write, and easier to evolve.

%description -l pl
CGI::Application jest przeznaczony do uatwiania tworzenia zoonych,
dajcych si ponownie wykorzystywa, aplikacji opartych na WWW. Ten
modu implementuje metodologi, ktra - jeli stosowana - sprawi, e
oprogramowanie sieciowe bdzie prostsze w projektowaniu,
dokumentowaniu, pisaniu i ewoluowaniu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a Examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ANNOUNCE README Changes
%{perl_sitelib}/%{pdir}/*.pm
%{perl_sitelib}/%{pdir}/%{pnam}
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-CGI-Application.spec,v $
Revision 1.6.2.1  2003/03/13 00:56:40  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.6  2003/02/25 00:36:49  radek
- use the __perl macro

Revision 1.5  2003/02/18 22:45:31  ankry
- autoupdated to 3.0

Revision 1.4  2003/02/18 15:26:56  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/10/28 15:39:27  ankry
- version 2.6

Revision 1.2  2002/09/10 19:58:32  qboosh
- pl description, release 2

Revision 1.1  2002/09/04 11:19:33  radek
- new, STBR
